> ## Documentation Index
> Fetch the complete documentation index at: https://developers.partoo.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Business's plans

> This endpoint lets you retrieve the business's plans.<br /> You need to be a Provider to access this endpoint.




## OpenAPI

````yaml /assets/openapi/openapi-bundled.yaml get /business/{business_id}/plans
openapi: 3.1.0
info:
  title: Partoo Rest API
  version: v2
  license:
    name: © Copyright Partoo
    url: https://www.partoo.co/en/gtu-api/
  x-logo:
    url: >-
      https://partoo-client-images.s3.amazonaws.com/logo-partoo-restapi-white.png
  description: >
    ## Introduction

    The Partoo Rest API allows you to automate all the actions that are possible
    to do in the Partoo Web Application.


    The Partoo Rest API can be used for many different purposes:
      - Create/update/delete your businesses & users if you are a client.
      - Create/subscribe/manage organizations, businesses & users if you are a reseller.
      - Retrieve data on businesses you have access to if you are a publisher.
      - ...
servers:
  - url: https://api.partoo.co/v2
    description: Production server
  - url: https://api.sandbox.partoo.co/v2
    description: Sandbox server (dev environment for clients & partners)
security:
  - ApiKeyAuth: []
paths:
  /business/{business_id}/plans:
    get:
      tags:
        - Subscriptions
        - Businesses
      summary: Get Business's plans
      description: >
        This endpoint lets you retrieve the business's plans.<br /> You need to
        be a Provider to access this endpoint.
      operationId: businessPlans
      parameters:
        - $ref: '#/components/parameters/business_id'
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BusinessPlans'
        '400':
          $ref: '#/components/responses/400'
        '401':
          $ref: '#/components/responses/401'
        '403':
          $ref: '#/components/responses/403'
components:
  parameters:
    business_id:
      in: path
      name: business_id
      required: true
      schema:
        type: string
      description: >
        Business id.      


        It may be replaced by `c-{code}` where code is the store code, which
        should be unique per organization. This can be used only for
        `ORG_ADMIN`, `GROUP_MANAGER` and `BUSINESS_MANAGER` users.
  schemas:
    BusinessPlans:
      properties:
        plans:
          description: The exhaustive list of the business's plans.
          type: array
          items:
            $ref: '#/components/schemas/BusinessPlan'
          example:
            - name: presence_management
              enabled: true
              subscription_date: '2025-01-01'
              expiration_date: '2026-01-01'
            - name: review_management
              enabled: false
              subscription_date: '2025-01-01'
              expiration_date: null
        org_plans:
          $ref: '#/components/schemas/OrgPlansDetails'
        active_plans:
          description: The exhaustive list of active plans for the business.
          type: array
          items:
            $ref: '#/components/schemas/BusinessPlan'
    BusinessPlan:
      allOf:
        - $ref: '#/components/schemas/BusinessPlanUpdate'
      properties:
        subscription_date:
          type: string
          pattern: date
          description: Plan's subscription date.
          example: '2025-01-01'
    OrgPlansDetails:
      description: The exhaustive list of the organization's plans.
      type: array
      items:
        $ref: '#/components/schemas/OrganizationPlan'
      example:
        - name: presence_management
          subscription_date: '2025-01-01'
          expiration_date: '2026-01-01'
        - name: review_management
          subscription_date: '2025-01-01'
          expiration_date: null
    BusinessPlanUpdate:
      description: Plan
      type: object
      required:
        - name
      properties:
        name:
          type: string
          enum:
            - presence_management
            - review_management
            - posts
            - messages
            - review_booster
            - feedback_management
            - competitive_benchmark
          description: Plan's name.
          example: presence_management
        expiration_date:
          type: string
          pattern: date
          description: Plan's expiration date. If not set, the plan is active indefinitely.
          example: '2026-01-01'
          default: null
        enabled:
          type: boolean
          description: >
            Plan's enablement.


            If true, the plan and all its features are enabled for this
            business, even if its organization doesn't have the plan or it's
            expired.


            If false, the plan and all its features are disabled for this
            business, even if its organization has the plan.
          example: true
    OrganizationPlan:
      allOf:
        - $ref: '#/components/schemas/OrganizationPlanUpdate'
      properties:
        subscription_date:
          type: string
          pattern: date
          description: Plan's subscription date.
          example: '2025-01-01'
    OrganizationPlanUpdate:
      description: Plan
      type: object
      required:
        - name
      properties:
        name:
          type: string
          enum:
            - presence_management
            - review_management
            - posts
            - messages
            - review_booster
            - bulk_modification
            - feedback_management
            - competitive_benchmark
            - messages_channel_sms
            - booking_links
            - webhooks
          description: Plan's name.
          example: presence_management
        expiration_date:
          type: string
          pattern: date
          description: Plan's expiration date. If not set, the plan is active indefinitely.
          example: '2026-01-01'
          default: null
  responses:
    '400':
      description: Your request is incorrect
      content:
        application/json:
          schema:
            description: |
              Error that occcurs when your request is incorrect
            properties:
              errors:
                type: object
                description: The detail of the error encountered
                properties:
                  json:
                    type: object
    '401':
      description: You are not authenticated
      content:
        application/json:
          schema:
            description: Error that occurs when you are not authenticated
            type: object
            properties:
              errors:
                type: object
                description: The detail of the error encountered
                properties:
                  authentication:
                    type: string
                    default: User not authenticated
    '403':
      description: |
        You are not allowed to perform this action
      content:
        application/json:
          schema:
            description: >
              Error that occurs when you are authenticated but you are trying to
              perform an action you are not allowed to perform
            type: object
            properties:
              errors:
                type: object
                description: The detail of the error encountered
                properties:
                  authorization:
                    type: string
                    default: Operation not allowed
  securitySchemes:
    ApiKeyAuth:
      description: >
        The authentication system on Partoo API is using API Key that should be
        put in the header of the request (the name of the header is `x-APIKey`).
        An api_key is linked to a user. This user's role will give you different
        access level to the API features.
      type: apiKey
      in: header
      name: x-APIKey

````